import { Base, initContainer } from "../ContainerBase/index";
declare class PriorityQueue<T> extends Base {
    private readonly priorityQueue;
    private readonly cmp;
    constructor(container?: initContainer<T>, cmp?: (x: T, y: T) => number, copy?: boolean);
    private adjust;
    clear(): void;
    /**
     * Insert elements into a container in order.
     */
    push(element: T): void;
    /**
     * Removes the top element.
     */
    pop(): void;
    /**
     * Accesses the top element.
     */
    top(): T;
}
export default PriorityQueue;
